webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.SoupAuthDialog

Contents

- Description
- Types

Description

Access to the WebKit Web Resource

Synopsis

- data SoupAuthDialog
- class GObjectClass o => SoupAuthDialogClass o

# Description

WebKitSoupAuthDialog is a SoupSessionFeature that you can attach to your SoupSession to provide a simple authentication dialog while handling HTTP basic auth. It is built as a simple C-only module to ease reuse.

# Types

data SoupAuthDialog

Instances

Eq SoupAuthDialog |
Ord SoupAuthDialog |
GObjectClass SoupAuthDialog |
SoupAuthDialogClass SoupAuthDialog |

class GObjectClass o => SoupAuthDialogClass o

Instances

SoupAuthDialogClass SoupAuthDialog |